Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337721 - app-misc/fdutils does not respect LDFLAGS
Summary: app-misc/fdutils does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo Kernel Miscellaneous
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-16 23:57 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2013-03-20 18:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (fdutils-5.5-r2:20100916-223252.log,18.44 KB, text/plain)
2010-09-16 23:57 UTC, Diego Elio Pettenò (RETIRED)
Details
fdutils-5.5-r3.ebuild (fdutils-5.5-r3.ebuild,1.16 KB, text/plain)
2013-03-20 17:21 UTC, Michael Mair-Keimberger (iamnr3)
Details
fdutils-5.5-fdmount-compilation_linux_2.6.patch (fdutils-5.5-fdmount-compilation_linux_2.6.patch,4.49 KB, patch)
2013-03-20 17:21 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-16 23:57:34 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-16 23:57:47 UTC
Created attachment 247658 [details]
Build log
Comment 2 Michael Mair-Keimberger (iamnr3) 2013-03-20 17:21:02 UTC
Created attachment 342730 [details]
fdutils-5.5-r3.ebuild

I've updated the ebuild (please review)
* fixes the ldflags issue
* ebuild eapi bump
* fixes bug 425316 (added the patch which was mentioned in the bug)
* added ~amd64 as it builds and works fine
Comment 3 Michael Mair-Keimberger (iamnr3) 2013-03-20 17:21:39 UTC
Created attachment 342732 [details, diff]
fdutils-5.5-fdmount-compilation_linux_2.6.patch

patch for fdutils
Comment 4 Samuli Suominen gentoo-dev 2013-03-20 18:39:10 UTC
fixed in version fdutils-5.5.20060227
Comment 5 Samuli Suominen gentoo-dev 2013-03-20 18:42:46 UTC
*fdutils-5.5.20060227 (20 Mar 2013)

  20 Mar 2013; Samuli Suominen <ssuominen@gentoo.org>
  +fdutils-5.5.20060227.ebuild:
  Version bump wrt #337721 by Diego Elio Pettenò and Michael Mair-Keimberger;
  and respect LDFLAGS using one-liner sed in ebuild. Fix building with recent
  linux headers wrt #425316 by Peter Sliepenbeek. Import quite large Debian
  patchset, containing 20 patches in total.